clear
% load('leedsimu.mat' )

% Run OLS regressions. Regress choices on projects' characteristics, year
% fixed effects and market dummies, without prevmean.

 X=[ones(size(leedsimu,1),1) leedsimu(:,4:8) leedsimu(:,17:718)   ];
[b,bint,r,rint,stats] = regress(leedsimu(:,2),X);


% simulate the choices
dev=stats(4);

X1=leedsimu(:,3:27);
N=size(leedsimu,1);
  
  
shock=randn(N,1)*sqrt(dev);
ys=X*b+shock;
ys_round=round(ys);


ysim=zeros(N,1);

for i=1:N
if ys_round(i)<2
   ysim(i)=1;
elseif ys_round(i)>=4
    ysim(i)=4;
else
    ysim(i)=ys_round(i);
end
end


% ysim is the simulated choices and stored in level_simu.dta
